<template>
  <div class="bmm1_term-condition">
    <div class="relative w-full max-w-full px-4">
      <div class="pt-4 pb-20">
        <div
          v-if="!header.IsHidden"
          class="relative flex flex-wrap items-center justify-between mb-6"
        >
          <h1 class="text-2xl w-auto m-0 text-[var(--title-font-color)]">
            {{ $t("faq") }}
          </h1>
        </div>
        <el-collapse v-model="activeNames" accordion>
          <div class="">
            <div v-for="(termcondition, index) in contentTitles" :key="index">
              <div
                v-if="!termcondition.IsHidden"
                class="flex items-center justify-between w-full mb-6"
              >
                <div
                  class="text-sm w-full leading-[1.5] bg-[var(--background-body)] box-shadow rounded-xl"
                >
                  <el-collapse-item :name="termcondition.Text">
                    <template #title>
                      <div
                        class="px-4 text-base leading-5 relative flex justify-between items-center min-h-[64px] py-4 w-full"
                      >
                        <span
                          class="text-base leading-5 font-bold text-[var(--title-font-color)]"
                        >
                          {{ termcondition?.Text }}
                        </span>
                        <div
                          class="w-8 h-8 rounded-2xl text-[#707585] bg-[var(--button-bg)] box-shadow flex items-center justify-center plus__icon"
                        ></div>
                      </div>
                    </template>
                    <div
                      class="opacity-100 p-4 text-sm box-shadow-inset text-[var(--title-font-color)] rounded-b-xl"
                      v-html="contentDetailFiltered(termcondition.HtmlId)"
                    ></div>
                  </el-collapse-item>
                </div>
              </div>
            </div>
          </div>
        </el-collapse>
        <nuxt-link :to="'/'">
          <button
            class="max-w-[240px] text-[color:var(--font-color-primary)] bg-[color:var(--button-bg)] box-shadow h-[40px] px-5 font-[600] mt-6 uppercase rounded-md"
          >
            {{ $t("go_to_homepage") }}
          </button>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
import _ from "lodash";
const activeNames = ref("");
const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const header = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_6"
    )
);
const contentTitles = computed(
  (): Array<IThemePropertiesFromApi> =>
    _.orderBy(themePropertyHelper.getMultipleThemesProperties(
      themeProperties.value,
      "menu_content_title_6_"
    ), [(title) => title.HtmlId.length, 'HtmlId'])
);
const contentDetailFiltered = (htmlId: string): string => {
  const id = htmlId.replace("menu_content_title_6_", "");
  return themePropertyHelper.getSingleThemeProperty(
    themeProperties.value,
    `menu_content_detail_6_${id}`
  ).Text
};
</script>
<style lang="scss" scoped>
:deep(.el-collapse-item__header.is-active) {
  border: none !important;
  background-color: unset !important;
}
:deep(.el-collapse-item__wrap) {
  background: unset !important;
}
.el-collapse {
  --el-collapse-content-bg-color: none;
  --el-collapse-header-bg-color: none;
  border: none;
  :deep(.el-collapse-item__arrow) {
    font-weight: bold;
    color: var(--text);
  }
}
:deep(.el-input__inner) {
  height: 40px;
  width: 100%;
  padding: 8px 16px;
  font-family: Roboto, sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  color: var(--title-font-color);
  background: var(--background-body);
  border: 1px solid transparent;
  box-shadow: var(--box-shadow-inset);
  border-radius: 8px;
  box-sizing: border-box;
}
</style>
<style lang="scss">
.bmm1_term-condition {
  margin-top: 60px;
  .el-collapse-item__arrow {
    display: none;
  }
  .el-collapse-item__header,
  .el-collapse-item__wrap {
    border-bottom: unset;
  }
  .el-collapse-item__header {
    height: 64px;
  }
  .el-collapse-item__header.is-active .plus__icon {
    transition: transform 0.3s ease-in-out;
  }
  .el-collapse-item__header.is-active .plus__icon {
    transform: rotate(0deg);
  }
  .el-collapse-item__header .plus__icon {
    transition: transform 0.3s ease-in-out;
  }
  .el-collapse-item__header .plus__icon {
    transform: rotate(45deg);
    &::before {
      content: "\00D7";
      font-size: 24px;
    }
  }
  .el-collapse-item__content {
    padding: 0 !important;
  }
}
</style>
